Data Structures | Functions

# newgrf_townname.h File Reference

Header of Action 0F "universal holder" structure and functions. More...

`#include "strings_type.h"`

Go to the source code of this file.

## Data Structures
struct | NamePart
struct | NamePartList
struct | GRFTownName
## Functions
GRFTownName * | AddGRFTownName (uint32 grfid)
GRFTownName * | GetGRFTownName (uint32 grfid)
void | DelGRFTownName (uint32 grfid)
void | CleanUpGRFTownNames ()
StringID * | GetGRFTownNameList ()
char * | GRFTownNameGenerate (char *buf, uint32 grfid, uint16 gen, uint32 seed, const char *last)
uint32 | GetGRFTownNameId (int gen)
uint16 | GetGRFTownNameType (int gen)

## Detailed Description

Header of Action 0F "universal holder" structure and functions.

Definition in file newgrf_townname.h.